# UserAttributes | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- UserAttributes
  - AdminUserAttributes

## Index

### Properties

- data
- email
- email_change_token
- password
- phone

## Properties

### Optional data

data?: object

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:80

A custom data object for user_metadata that a user can modify. Can be any JSON.

### Optional email

email?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:64

The user's email.

### Optional email_change_token

email_change_token?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:76

An email change token.

### Optional password

password?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:72

The user's password.

### Optional phone

phone?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:68

The user's phone.

Generated using TypeDoc